@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/************************
* 表示時アニメーション
************************/
.container {
	animation-name: none;
	animation-duration: none;
	animation-fill-mode: none;
}

/************************
* 見出しのぐしゃぐしゃ線
・本文h2(.article h2)
・詳細ページの関連記事のタイトル(.related-entry-heading)
・詳細ページのコメントタイトル(.comment-titlee)
************************/
.article h2, .related-entry-heading, .comment-title,
.article h2:before, .article h2:after,
.related-entry-heading:before, .comment-title:before,
.related-entry-heading:after, .comment-title:after { 
	border: solid 0px #777;
}

.article h2:before, .article h2:after,
.related-entry-heading:before, .comment-title:before,
.related-entry-heading:after, .comment-title:after{
	pointer-events: none;
}

.article h2, .related-entry-heading, .comment-title {
	position: relative;
	background: rgba(var(--back-color), 1);
	box-shadow: 0 0 1px 3px rgba(var(--back-color), 1);
	border-radius: 2em 7em 5em 7em/10em 3em 1em 1em;
}

.article h2:before, .article h2:after,
.related-entry-heading:before, .comment-title:before,
.related-entry-heading:after, .comment-title:after { 
	position: absolute;
	content: "";
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.article h2:before, .related-entry-heading:before, .comment-title:before {
	transform: rotate(-.7deg);
	border-radius: 6em 6em 2em 9em/2em 8em 9em 4em;
}

.article h2:after, .related-entry-heading:after, .comment-title:after {
	transform: rotate(.7deg);
	border-radius: 10em 8em 10em 5em/5em 10em 6em 10em;
}

@media screen and (max-width: 480px) {
	.article h2 {
		padding: .6em .9em;
	}
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
